Bug 1802434 - Operator service monitor should specify a CA to ensure secure communication
Summary: Operator service monitor should specify a CA to ensure secure communication
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Maru Newby
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-13 06:22 UTC by Maru Newby
Modified: 2020-05-04 11:36 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:36:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-svcat-apiserver-operator pull 75 None closed Bug 1802434: manifests: set caFile for service monitor 2020-04-17 14:47:28 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:36:42 UTC

Description Maru Newby 2020-02-13 06:22:14 UTC
The service monitor for the service cat apiserver operator is configured for insecure communication:

https://github.com/openshift/cluster-svcat-apiserver-operator/blob/master/manifests/0000_90_cluster-svcat-apiserver-operator_02-operator-servicemonitor.yaml#L18

Comment 2 Fan Jia 2020-02-17 00:48:45 UTC
test env:
cv:4.4.0-0.nightly-2020-02-15-201600
test result:
# oc get ServiceMonitor openshift-service-catalog-apiserver-operator -o yaml
spec:
  endpoints:
    tlsConfig:
      caFile: /etc/prometheus/configmaps/serving-certs-ca-bundle/service-ca.crt

The function about service catalog is all ok.

Comment 4 errata-xmlrpc 2020-05-04 11:36:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.